summaryrefslogtreecommitdiffstats
path: root/knetworkconf/update_backends.sh
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commit37333bf25ad9a4c538250f5af2f9f1d666362883 (patch)
treec45e8df5b9efbffe07eb3d9340df7811c7e16943 /knetworkconf/update_backends.sh
downloadtdeadmin-37333bf25ad9a4c538250f5af2f9f1d666362883.tar.gz
tdeadmin-37333bf25ad9a4c538250f5af2f9f1d666362883.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdeadmin@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'knetworkconf/update_backends.sh')
-rwxr-xr-xknetworkconf/update_backends.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/knetworkconf/update_backends.sh b/knetworkconf/update_backends.sh
new file mode 100755
index 0000000..9b77d13
--- /dev/null
+++ b/knetworkconf/update_backends.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+echo 'Network backend updating script of KNetworkConf'
+echo
+
+if [ $# -eq 0 ]
+then
+ echo "Use: $0 src_path dest_path"
+ echo
+ exit 1
+fi
+
+if [ "$1" = "" ]
+then
+ echo 'You have to specify the source directory of the new scripts'
+ echo
+ exit 1
+elif [ "$2" = "" ]
+then
+ echo 'You have to specify the destination directory for the new scripts'
+ echo
+ exit 1
+fi
+
+if [ ! -d $1 ]
+then
+ echo "$1 Isn't a directory"
+ echo
+ exit 1
+elif [ ! -d $2 ]
+then
+ echo "$2 Isn't a directory"
+ echo
+ exit 1
+fi
+
+diractual=`pwd`
+cd $1;
+cp -f AUTHORS debug.pl.in file.pl.in general.pl.in guess_system.sh mkinstalldirs network-conf.in network.pl.in NEWS parse.pl.in platform.pl.in README replace.pl.in report.pl.in service-list.pl.in service.pl.in system-tools-backends.pc.in type1inst util.pl.in xml.pl.in process.pl.in $2
+
+echo
+echo 'Ready, dont forget to check configure.in.in or Makefile.am to see if they need further updating.'
+echo